using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Diagnostics;
using System.Text;
using System.Xml;
using System.Windows.Forms;
using Microsoft.SqlServer.Dts.Runtime;
using SSIS2K8.Samples.Tasks.CryptoTask;
using Microsoft.DataTransformationServices.Controls;


namespace SSIS2K8.Samples.Tasks.CryptoTask
{
   public partial class CryptoTaskUIMainWnd : DTSBaseTaskUI
   {
      #region members
      private const string Title = "Crypto Task Editor";
      private const string Description = "This task encrypts and decrypts text (UTF-8) files using the Rijndael algorithm";

      public static Icon taskIcon = new Icon(typeof(SSIS2K8.Samples.Tasks.CryptoTask.CryptoTask),"TaskIcon.ico");
            
      #endregion

      public CryptoTaskUIMainWnd(TaskHost taskHost, object connections) :
         base(Title, taskIcon, Description, taskHost, connections)
      {
         Debug.Assert(taskHost != null);

         GeneralView generalView = new GeneralView();
         // Add the view to the main form
         this.DTSTaskUIHost.AddView("General", generalView, null);

         SettingsView settingsView = new SettingsView();
         // Add the view to the main form
         this.DTSTaskUIHost.AddView("Settings", settingsView, null);

         InitializeComponent();
      }
   }
}